<?php
/***************************************************************************/
/*
/* 	----------------------------------------------------------------------
/* 						DO NOT EDIT THIS FILE
/*	----------------------------------------------------------------------
/* 
/*  			Built by Sawyer Hollenshead. http://sawyerhollenshead.com
/*  				Copyright (C) 2011 Sawyer Hollenshead
/*
/***************************************************************************/

// Set error reporting
error_reporting(E_ERROR);

define("THEME_PREFIX", "shaken_");

// Create the notification container
global $shaken_notification;
$shaken_notification = '';

// Array of theme data stored in style.css
$theme_data = get_theme_data(TEMPLATEPATH . '/style.css');

// Theme name - used for checking for updates
global $shaken_theme_name;
$shaken_theme_name = $theme_data['Имя'];

// Current theme version (as defined in style.css)
update_option("shaken_theme_version", $theme_data['Version']);

// Check that the theme is running the latest version
shaken_check_version();

/*----------------------------------------------------------------------------
 		Add default options and show Настройки after activation 
----------------------------------------------------------------------------*/
if (is_admin() && isset($_GET['activated'] ) && $pagenow == "themes.php" ) {
	//Do redirect
	header( 'Location: '.admin_url().'admin.php?page=admin-options.php' ) ;
}

// =================================================================
//						Functions for input areas
// =================================================================
// Table small input
function smallInput($title, $name, $desc = '', $last = 'notLast'){
		
		return '<div class="row '.$last.'">
			<div class="option">
				<label class="config_level" for="'.$name.'">
					<label>'.$title.' <small>'.$desc.'</small></label>
				</label>
			</div>
			
			<div class="option-select">	
				<input class="option-field-table" id="'.$name.'" type="text" name="'.$name.'" value="'.get_option($name).'" />px
			</div>
		</div><!-- #row -->';
}
// Normal input field
function regInput($title, $name, $desc = ''){
	return '
	<p>'.$title.' <small>'.$desc.'</small></p>
	<p><input class="option-field" id="'.$name.'" type="text" name="'.$name.'" value="'.get_option($name).'" /></p>
	';
}

/** 
 * soy_shaken_admin()
 * Create the Theme Options panel in wp-admin
 *
 * @since 1.0
**/
function soy_shaken_admin() { 
	global $shaken_notification;
?>

<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/functions/theme-options-css.css" type="text/css" media="all" />
<script src="<?php echo get_template_directory_uri(); ?>/functions/scripts/theme-options-scripts.js" type="text/javascript"></script>

<?php
	$option_fields = array();
	if ( $_GET['settings-updated'] ) echo '<div id="message" class="updated fade"><p>Настройки темы сохранены.</p></div>';
?>

<div class="wrap">
    <div id="icon-themes" class="icon32"><br/></div>

    <h2>Настройки <?php global $shaken_theme_name; echo $shaken_theme_name; ?></h2>
    
    <?php if($shaken_notification){ ?>
    	<div class="update-message notification"><?php echo $shaken_notification; ?></div>
    <?php } ?>

    <div class="metabox-holder">
    
    	
    	<form method="post" action="options.php" enctype="multipart/form-data">
		<?php wp_nonce_field('update-options'); ?>
    
        <div id="theme-options">
        
        	<div class="options-header">
        		<p class="theme-version"><strong>Версия:</strong> <?php echo get_option("shaken_theme_version"); ?></p>
        	</div>
        	<div class="options-nav">
            	<ul>
                    <li><a href="#" class="show-general"><span>Общие настройки<br />
						<div class="desc">Самые базовые</div></span>
                    </a></li>
                </ul>
            </div>
	        <div class="postbox-container">
                
                <div id="options-general">
                	<?php 
					include("options/general.php"); 
					?>
                </div>
	        </div> <!-- postbox-container -->
        </div> <!-- theme-options -->
        
        <input type="hidden" name="action" value="update" />
        <input type="hidden" name="page_options" value="<?php echo implode(",", $option_fields); ?>" />
        </form>
    </div> <!-- metabox-holder -->
</div> <!-- wrap -->

<?php
}

// Register Admin
function soy_shaken_admin_init()
{
	add_object_page("Easy Docs", "Easy Docs", 'edit_theme_options', basename(__FILE__), 'soy_shaken_admin', get_template_directory_uri().'/functions/menu-ic.png',35);
}
add_action('admin_menu', "soy_shaken_admin_init");

/** 
 * shaken_xml2array()
 * Create the XML needed to check for theme updates
 *
 * http://mysrc.blogspot.com/2007/02/php-xml-to-array-and-backwards.html
 * @since 1.0
**/
function shaken_xml2array(&$string) {
	$parser = xml_parser_create();
	xml_parser_set_option($parser, XML_OPTION_CASE_FOLDING, 0);
	xml_parse_into_struct($parser, $string, $vals, $index);
	xml_parser_free($parser);
	$mnary=array();
	$ary=&$mnary;
	foreach ($vals as $r) {
		$t=$r['tag'];
		if ($r['type']=='open') {
			if (isset($ary[$t])) {
				if (isset($ary[$t][0])) $ary[$t][]=array(); else $ary[$t]=array($ary[$t], array());
				$cv=&$ary[$t][count($ary[$t])-1];
			} else $cv=&$ary[$t];
			if (isset($r['attributes'])) {foreach ($r['attributes'] as $k=>$v) $cv['_a'][$k]=$v;}
			$cv['_c']=array();
			$cv['_c']['_p']=&$ary;
			$ary=&$cv['_c'];
		} elseif ($r['type']=='complete') {
			if (isset($ary[$t])) { // same as open
				if (isset($ary[$t][0])) $ary[$t][]=array(); else $ary[$t]=array($ary[$t], array());
				$cv=&$ary[$t][count($ary[$t])-1];
			} else $cv=&$ary[$t];
			if (isset($r['attributes'])) {foreach ($r['attributes'] as $k=>$v) $cv['_a'][$k]=$v;}
			$cv['_v']=(isset($r['value']) ? $r['value'] : '');

		} elseif ($r['type']=='close') {
			$ary=&$ary['_p'];
		}
	}    
	_shaken_del_p($mnary);
	return $mnary;
}

///////////////////////////////////////////
// _Internal: Remove recursion in result array
///////////////////////////////////////////
function _shaken_del_p(&$ary) {
	foreach ($ary as $k=>$v) {
		if ($k==='_p') unset($ary[$k]);
		elseif (is_array($ary[$k])) _shaken_del_p($ary[$k]);
	}
}

///////////////////////////////////////////
// Array to XML
///////////////////////////////////////////
function shaken_ary2xml($cary, $d=0, $forcetag='') {
	$res=array();
	foreach ($cary as $tag=>$r) {
		if (isset($r[0])) {
			$res[]=shaken_ary2xml($r, $d, $tag);
		} else {
			if ($forcetag) $tag=$forcetag;
			$sp=str_repeat("\t", $d);
			$res[]="$sp<$tag";
			if (isset($r['_a'])) {foreach ($r['_a'] as $at=>$av) $res[]=" $at=\"$av\"";}
			$res[]=">".((isset($r['_c'])) ? "\n" : '');
			if (isset($r['_c'])) $res[]=shaken_ary2xml($r['_c'], $d+1);
			elseif (isset($r['_v'])) $res[]=$r['_v'];
			$res[]=(isset($r['_c']) ? $sp : '')."</$tag>\n";
		}
		
	}
	return implode('', $res);
}
///////////////////////////////////////////
// Insert element into array
///////////////////////////////////////////
function shaken_ins2ary(&$ary, $element, $pos) {
	$ar1=array_slice($ary, 0, $pos); $ar1[]=$element;
	$ary=array_merge($ar1, array_slice($ary, $pos));
}

/** 
 * shaken_check_version()
 * Compares the current theme's version with the version in 
 * an external XML file.
 *
 * @since 1.0
**/
function shaken_check_version(){
	
	global $shaken_notification, $shaken_theme_name, $theme_data;
	
	$version_url = "http://versions.shakenandstirredweb.com/versions.xml";
	
	if(function_exists('curl_init')) {
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $version_url);
		//curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_FAILONERROR, 1);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		$versions = curl_exec($ch);
		curl_close ($ch);
	}
	
	if(isset($versions) && $versions != "" && $versions !== false){
		$versions = shaken_xml2array($versions);
		
		foreach($versions['versions']['_c']['version'] as $update){
			$latest = str_replace(".","",trim($update['_v']));
			if($update['_a']['name'] == $shaken_theme_name){
				if(str_replace(".","",$theme_data['Version']) < $latest){
					$shaken_update_version = trim($update['_v']);
					$shaken_notification = "<p><strong>Обновленная версия ($shaken_update_version) доступна для $shaken_theme_name</strong></p>";
				}
			}
		}
	}
}

?>
